The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Перестал запускаться Apache после обновления php"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Открытые системы на сервере (Разное / FreeBSD)
Изначальное сообщение [ Отслеживать ]

"Перестал запускаться Apache после обновления php"  +/
Сообщение от tj555 email(ok) on 12-Июн-07, 13:15 
Система FreeBSD 6.2. Стояли Apache 1.3, MySQL 5, PHP 5. Стал устанавливать почтовый сервер, установил dovecot, exim. Установка squirrelmail потянула за собой обновление PHP до версии php5-5.2.3. После этого при перезагрузке перестал работать вебсервер. При загрузке пишет что апач стартует, однако 80 порт остается недоступен.
При вводе команды: apachectl start пишет /usr/local/sbin/apachectl start: httpd could not be started
Хотя если ввести: /usr/local/etc/rc.d/apache.sh start пишет: Starting apache, однако все остается по старому.

В логах /var/log/httpd-error.log появились такие строки:
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20060613/overload.so' - Cannot open "/usr/local/lib/php/20060613/overload.
PHP Warning:  Module 'ctype' already loaded in Unknown on line 0
PHP Warning:  Module 'mysql' already loaded in Unknown on line 0
PHP Warning:  Module 'pcre' already loaded in Unknown on line 0
PHP Warning:  Module 'zlib' already loaded in Unknown on line 0
PHP Warning:  Module 'posix' already loaded in Unknown on line 0
PHP Warning:  Module 'session' already loaded in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20060613/sqlite.so' - /usr/local/lib/php/20060613/sqlite.so: Undefined symbol &
PHP Warning:  Module 'tokenizer' already loaded in Unknown on line 0
PHP Warning:  Module 'xml' already loaded in Unknown on line 0
PHP Warning:  Module 'ctype' already loaded in Unknown on line 0
PHP Warning:  Module 'pcre' already loaded in Unknown on line 0
PHP Warning:  Module 'SimpleXML' already loaded in Unknown on line 0
PHP Warning:  Module 'dom' already loaded in Unknown on line 0
PHP Warning:  Module 'ftp' already loaded in Unknown on line 0
PHP Warning:  Module 'iconv' already loaded in Unknown on line 0
PHP Warning:  Module 'mysql' already loaded in Unknown on line 0
PHP Warning:  Module 'PDO' already loaded in Unknown on line 0
PHP Warning:  Module 'posix' already loaded in Unknown on line 0
PHP Warning:  Module 'session' already loaded in Unknown on line 0
PHP Warning:  Module 'tokenizer' already loaded in Unknown on line 0
PHP Warning:  Module 'xml' already loaded in Unknown on line 0
PHP Warning:  Module 'xmlreader' already loaded in Unknown on line 0
PHP Warning:  Module 'xmlwriter' already loaded in Unknown on line 0
PHP Warning:  Module 'zlib' already loaded in Unknown on line 0
/libexec/ld-elf.so.1: /usr/local/lib/php/20060613/mhash.so: Undefined symbol "slprintf"

Пробовал деинсталировать PHP. Делал make clean, make deinstall, make reinstall не помогло. Как побороть проблему?

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Перестал запускаться Apache после обновления php"  +/
Сообщение от sergei vasilyev on 12-Июн-07, 13:33 
Обнови порт php5-extentions
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "Перестал запускаться Apache после обновления php"  +/
Сообщение от sergei vasilyev on 12-Июн-07, 13:34 
Опечатка: php5-extensions
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

3. "Перестал запускаться Apache после обновления php"  +/
Сообщение от tj555 email(ok) on 12-Июн-07, 14:35 
>Опечатка: php5-extensions

Не помогает

Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

4. "Перестал запускаться Apache после обновления php"  +/
Сообщение от vlad11 email(ok) on 12-Июн-07, 23:36 
>>Опечатка: php5-extensions
>
>Не помогает


cat /usr/local/etc/php/extensions.ini

Закомментируй дубликаты.

Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

5. "Перестал запускаться Apache после обновления php"  +/
Сообщение от tj555 email(??) on 15-Июн-07, 21:57 
>>>Опечатка: php5-extensions
>>
>>Не помогает
>
>
>cat /usr/local/etc/php/extensions.ini
>
>Закомментируй дубликаты.


Помогло! Спасибо!

Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

6. "Перестал запускаться Apache после обновления php"  +/
Сообщение от ddenia email(??) on 15-Апр-13, 12:17 
>>>>Опечатка: php5-extensions
>>>
>>>Не помогает
>>
>>
>>cat /usr/local/etc/php/extensions.ini
>>
>>Закомментируй дубликаты.
> Помогло! Спасибо!

реально помогло просто закоментить дубликаты!
http://blogfreebsd.com/freebsd/ustanovka-i-nastrojka-phpmyad...

Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру